PrusaSlicer install on Linux Mint 19 won't launch?
 

PrusaSlicer install on Linux Mint 19 won't launch?  

  RSS
k
(@kotgc)
Active Member

Hello 🙂, I just installed PrusaSlicer from:
Linux Mint > Panel > Menu > System > Software Manager > Search: prusa > Slic3r-prusa > Install > Launch.
Nothing happens?

I uninstalled and reinstalled and same issue.

Computer details if needed:
Release Linux Mint 19 Tara 64-bit
Kernel Linux 4.15.0-76-generic x86_64
MATE 1.20.1
Memory: 19.5 GiB
Processor: Intel(R) Pentium(R) CPU G4560 @ 3.50GHz x 4
Available disk space: 168.3 GiB

 

Best Answer by Area51:

The alpha configuration is stored in the directory ~\.PrusaSlicer-alpha. If you delete this directory the configuration will be recreated and the startup wizard run again.

I agree that application crash should not triggered by a wrong extrusion width - you should report it as an issue.

This topic was modified 6 months ago 3 times by k
Posted : 13/02/2020 12:11 pm
k
(@kotgc)
Active Member

I ran the program's GUI from Terminal and here's the error output:

$ slic3r-prusa3d --gui
Can't locate Wx.pm in @INC (you may need to install the Wx module) (@INC contains: /usr/bin/lib /usr/lib/slic3r-prusa3d/ /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.26.1 /usr/local/share/perl/5.26.1 /usr/lib/x86_64-linux-gnu/perl5/5.26 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.26 /usr/share/perl/5.26 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at /usr/lib/slic3r-prusa3d/Slic3r/GUI/2DBed.pm line 10.
BEGIN failed--compilation aborted at /usr/lib/slic3r-prusa3d/Slic3r/GUI/2DBed.pm line 10.
Compilation failed in require at /usr/lib/slic3r-prusa3d/Slic3r/GUI.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/slic3r-prusa3d/Slic3r/GUI.pm line 9.
Compilation failed in require at (eval 91) line 1.
Posted : 13/02/2020 1:28 pm
vintagepc
(@vintagepc)
Noble Member

Either it's outdated or you're missing a depedency. I'd suggest grabbing the appimage file directly from Prusa's github rather than your distro repository.

Posted : 13/02/2020 2:20 pm
k liked
Area51
(@area51)
Honorable Member

The latest AppImage from GitHub works great on Linux Mint 19.3 x64, I use it as my primary slicer version now.

Have a look at my designs on Thingiverse or on PrusaPrinters ;)...
Posted : 13/02/2020 10:35 pm
k liked
k
(@kotgc)
Active Member

@area51

Well, tried PrusaSlicer from AppImage and won't launch.
Here's my steps:
prusa3d/PrusaSlicer > Assets (down to middlish of page) > select PrusaSlicer-x.x.x-alpha4_linux-x64-YYYYMMDDmmhh.AppImage > Downloads directory > right click PrusaSlicer-x.x.x-alpha4_linux-x64-YYYYMMDDmmhh.AppImage > Properties > Permissions > tick Allow executing file as program > Close > double click AppImage.

AppImage won't launch. Error: Could not display "/home/linuxmint/Downloads/Pr...nux-x64-202002101524.AppImage". There is no application installed for AppImage application bundle files. Do you want to search for an application to open this file?

Strangely, the AppImage opened the first time without issue.
I walked through the welcome wizard, however the welcome wizard was irrelevant to my SLA 3D printer. I had set FDM extrusion to None, however the wizard then asked for extrusion widths. I entered 0 mm and finished the wizard.
The AppImage could no longer open, as it said something like, extruder widths were too small.
I deleted the AppImage, redownloaded and tried to open and the posted error occurred.

This post was modified 6 months ago 2 times by k
Posted : 13/02/2020 11:58 pm
Area51
(@area51)
Honorable Member

The alpha configuration is stored in the directory ~\.PrusaSlicer-alpha. If you delete this directory the configuration will be recreated and the startup wizard run again.

I agree that application crash should not triggered by a wrong extrusion width - you should report it as an issue.

Have a look at my designs on Thingiverse or on PrusaPrinters ;)...
Posted : 15/02/2020 3:06 am
k liked
vintagepc
(@vintagepc)
Noble Member
Posted by: @kotgc

@area51

Well, tried PrusaSlicer from AppImage and won't launch.
Here's my steps:
prusa3d/PrusaSlicer > Assets (down to middlish of page) > select PrusaSlicer-x.x.x-alpha4_linux-x64-YYYYMMDDmmhh.AppImage > Downloads directory > right click PrusaSlicer-x.x.x-alpha4_linux-x64-YYYYMMDDmmhh.AppImage > Properties > Permissions > tick Allow executing file as program > Close > double click AppImage.

AppImage won't launch. Error: Could not display "/home/linuxmint/Downloads/Pr...nux-x64-202002101524.AppImage". There is no application installed for AppImage application bundle files. Do you want to search for an application to open this file?

Strangely, the AppImage opened the first time without issue.
I walked through the welcome wizard, however the welcome wizard was irrelevant to my SLA 3D printer. I had set FDM extrusion to None, however the wizard then asked for extrusion widths. I entered 0 mm and finished the wizard.
The AppImage could no longer open, as it said something like, extruder widths were too small.
I deleted the AppImage, redownloaded and tried to open and the posted error occurred.

Make sure it's marked as executable (chmod +x). Every once in a while I forget after downloading an update, and takes me a moment to realize why K3B opens when I click it.

Posted : 15/02/2020 2:10 pm
k liked
k
(@kotgc)
Active Member

I thought I'd already thanked area51 for the solution?

Area51 solved it.

Posted : 16/02/2020 2:56 am
Share:

Please Login or Register